Noise layers
------------

.. automodule:: lasagne.layers.noise

.. currentmodule:: lasagne.layers

.. autoclass:: DropoutLayer
    :members:

.. autoclass:: dropout

.. autofunction:: dropout_channels

.. function:: spatial_dropout(incoming, *args, **kwargs)

   alias of :func:`dropout_channels`

.. autofunction:: dropout_locations

.. autoclass:: GaussianNoiseLayer
    :members:

